package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerSetting;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclPractitionerSettingMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerSetting record);

    int insertSelective(AclPractitionerSetting record);

    AclPractitionerSetting selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerSetting record);

    int updateByPrimaryKey(AclPractitionerSetting record);

    List<AclPractitionerSetting> findByPractitionerIdList(@Param("practitionerIds") List<Long> practitionerIds);
}